<?php

/**
 * Block Styles
 *
 * @link https://developer.wordpress.org/reference/functions/register_block_style/
 *
 * @package WordPress
 * @subpackage ejobsitesoftware
 * @since ejobsitesoftware 1.4
 */

if (function_exists('register_block_style')) {
	/**
	 * Register block styles.
	 *
	 * @since ejobsitesoftware 1.4
	 *
	 * @return void
	 */
	function ejobsitesoftware_register_block_styles()
	{
		// Columns: Overlap.
		register_block_style(
			'core/columns',
			array(
				'name'  => 'ejobsitesoftware-columns-overlap',
				'label' => esc_html__('Overlap', 'ejobsitesoftware'),
			)
		);

		// Cover: Borders.
		register_block_style(
			'core/cover',
			array(
				'name'  => 'ejobsitesoftware-border',
				'label' => esc_html__('Borders', 'ejobsitesoftware'),
			)
		);

		// Group: Borders.
		register_block_style(
			'core/group',
			array(
				'name'  => 'ejobsitesoftware-border',
				'label' => esc_html__('Borders', 'ejobsitesoftware'),
			)
		);

		// Image: Borders.
		register_block_style(
			'core/image',
			array(
				'name'  => 'ejobsitesoftware-border',
				'label' => esc_html__('Borders', 'ejobsitesoftware'),
			)
		);

		// Image: Frame.
		register_block_style(
			'core/image',
			array(
				'name'  => 'ejobsitesoftware-image-frame',
				'label' => esc_html__('Frame', 'ejobsitesoftware'),
			)
		);

		// Latest Posts: Dividers.
		register_block_style(
			'core/latest-posts',
			array(
				'name'  => 'ejobsitesoftware-latest-posts-dividers',
				'label' => esc_html__('Dividers', 'ejobsitesoftware'),
			)
		);

		// Latest Posts: Borders.
		register_block_style(
			'core/latest-posts',
			array(
				'name'  => 'ejobsitesoftware-latest-posts-borders',
				'label' => esc_html__('Borders', 'ejobsitesoftware'),
			)
		);

		// Media & Text: Borders.
		register_block_style(
			'core/media-text',
			array(
				'name'  => 'ejobsitesoftware-border',
				'label' => esc_html__('Borders', 'ejobsitesoftware'),
			)
		);

		// Separator: Thick.
		register_block_style(
			'core/separator',
			array(
				'name'  => 'ejobsitesoftware-separator-thick',
				'label' => esc_html__('Thick', 'ejobsitesoftware'),
			)
		);

		// Social icons: Dark gray color.
		register_block_style(
			'core/social-links',
			array(
				'name'  => 'ejobsitesoftware-social-icons-color',
				'label' => esc_html__('Dark gray', 'ejobsitesoftware'),
			)
		);
	}
	add_action('init', 'ejobsitesoftware_register_block_styles');
}
